unit uBUGTalk;

interface

uses
  // Delphi
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, DBTables, Grids, DBGrids, DB, Provider,
  DBClient, HTTPApp, DBWeb;

type
  TfmBUGTalk = class(TForm)
    btnInformal: TButton;
    ledFormal: TLabeledEdit;
    bevAddress: TBevel;
    ledFirstName: TLabeledEdit;
    ledInformal: TLabeledEdit;
    dstpData: TDataSetTableProducer;
    Bevel1: TBevel;
    cdsData: TClientDataSet;
    dspData: TDataSetProvider;
    dsData: TDataSource;
    gridData: TDBGrid;
    qryData: TQuery;
    btnCreateWebPage: TButton;
    edWebPage: TEdit;
    edXML: TEdit;
    btnCreateXML: TButton;
    procedure btnInformalClick(Sender: TObject);
    procedure btnCreateWebPageClick(Sender: TObject);
    procedure btnCreateXMLClick(Sender: TObject);
  private
  public
  end;

  function InformalAddress(const aFormalAddress, aFirstName: string): string;


var
  fmBUGTalk: TfmBUGTalk;

implementation

uses uBUGTalk_Report;

{$R *.dfm}


function InformalAddress(const aFormalAddress, aFirstName: string): string;
  begin
    Result := aFirstName + Copy(aFormalAddress,Pos(' ',aFormalAddress),Length(aFormalAddress));
  end;


procedure TfmBUGTalk.btnInformalClick(Sender: TObject);
  begin
    ledInformal.Text := InformalAddress(ledFormal.Text, ledFirstName.Text)
  end;

procedure TfmBUGTalk.btnCreateWebPageClick(Sender: TObject);
  begin
    with TStringList.Create do begin
      try
        Text := dstpData.Content;
        SaveToFile(edWebPage.Text);
      finally
        Free;
      end;
    end;
  end;

procedure TfmBUGTalk.btnCreateXMLClick(Sender: TObject);
  begin
    with TStringList.Create do begin
      try
        Text := cdsData.XMLData;
        SaveToFile(edXML.Text);
      finally
        Free;
      end;
    end;

  end;

end.
